#-----------------------------------------------------------------------------
#  Copyright (C) 2002-2015 Thomas S. Ullrich
#
#  This file is part of "xyscan".
#
#  This file may be used under the terms of the GNU General Public License.
#  This project is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License.
#  
#  Author: Thomas S. Ullrich
#  Last update: April 20, 2015
#-----------------------------------------------------------------------------
VERSION = 4.0.0
TEMPLATE = app
CONFIG  += qt warn_on release c++11
QT += network xml widgets printsupport multimedia
RESOURCES += xyscan.qrc

win32 {
   RC_FILE += xyscan.rc
   ICON += xyscan.ico
}

macx {
   ICON += xyscan.icns
   CONFIG += x86
}

macx {
   INCLUDEPATH += /usr/local/include/poppler/qt5/
   INCLUDEPATH += /usr/local/include/poppler
   LIBS += -L/usr/local/lib/ -lpoppler
   LIBS += -L/usr/local/lib/ -lpoppler-qt5
}

unix {
   INCLUDEPATH += /usr/local/include/poppler/qt5/
   INCLUDEPATH += /usr/local/include/poppler
   LIBS += -L/usr/local/lib/ -lpoppler
   LIBS += -L/usr/local/lib/ -lpoppler-qt5
}

unix {
   documentation.path = /usr/local/share/xyscan/docs
   documentation.files = docs/*  license.txt gpl.txt
   target.path = /usr/local/bin/
   INSTALLS += documentation
   INSTALLS += target
}

HEADERS = xyscanWindow.h \
          xyscanAbout.h \
          xyscanVersion.h \
          xyscanHelpBrowser.h \
          xyscanMarkerMaps.h \
          xyscanStateMachine.h \
          xyscanUpdater.h \
          xyscanGraphicsView.h

SOURCES = main.cpp \
          xyscanWindow.cpp \
          xyscanAbout.cpp \
          xyscanHelpBrowser.cpp \
          xyscanStateMachine.cpp \
          xyscanUpdater.cpp \
          xyscanGraphicsView.cpp

TRANSLATIONS = xyscan_fr.ts
